Work Types
==========

Last checked on 2025-01-22, there are 29 work types in the MusicBrainz database:

| id              | name              |  description             |
|-----------------|-------------------|--------------------------|
| 1 | Aria | An aria is a self-contained piece for one voice usually with orchestral accompaniment. They are most common inside operas, but also appear in cantatas, oratorios and even on their own (concert arias). |
| 2 | Ballet | A ballet is music composed to be used, together with a choreography, for a ballet dance production. |
| 3 | Cantata | A cantata is a vocal (often choral) composition with an instrumental (usually orchestral) accompaniment, typically in several movements. |
| 4 | Concerto | A concerto is a musical work for soloist(s) accompanied by an orchestra. |
| 5 | Sonata | &quot;Sonata&quot; is a general term used to describe small scale (very often solo or solo + keyboard) instrumental works, initially in baroque music. |
| 6 | Suite | A suite is an ordered set of instrumental or orchestral pieces normally performed in a concert setting. They may be extracts from a ballet or opera, or entirely original movements. |
| 7 | Madrigal | The madrigal is a type of secular vocal music composition. In its original form, it had no instrumental accompaniment, although accompaniment is much more common in later madrigals. |
| 8 | Mass | A mass is a choral composition that sets the invariable portions of the Christian Eucharistic liturgy (Kyrie - Gloria - Credo - Sanctus - Benedictus - Agnus Dei, with other portions sometimes added) to music. |
| 9 | Motet | &quot;Motet&quot; is a term that applies to different types of (usually unaccompanied) choral works. What exactly is a motet depends quite a bit on the period. |
| 10 | Opera | An opera is a dramatised work (text + musical score) for singers and orchestra/ensemble. In true operas all dialog is sung, through arias and recitatives, but some styles of opera include spoken dialogue. |
| 11 | Oratorio | An oratorio is a large (usually sacred) musical composition including an orchestra, a choir, and soloists. While it has characters and a plot, it is usually not performed theatrically (it lacks costumes, props and strong character interaction). |
| 12 | Overture | An overture is, generally, the instrumental introduction to an opera. Independent (&quot;concert&quot;) overtures also exist, which are generally programmatic works shorter than a symphonic poem. |
| 13 | Partita | A partita is an instrumental piece composed of a series of variations, and it&#x27;s by its current definition very similar to a suite. |
| 14 | Quartet | A quartet is a musical composition scored for four voices or instruments. |
| 15 | Song-cycle | A song cycle is a group of songs designed to be performed in a sequence as a single entity. In most cases, all of the songs are by the same composer, and often use words from the same poet or lyricist. |
| 16 | Symphony | A symphony is an extended composition, almost always scored for orchestra without soloists. |
| 17 | Song | A song is in its origin (and still in most cases) a composition for voice, with or without instruments, performed by singing. This is the most common form by far in folk and popular music, but also fairly common in a classical context (&quot;art songs&quot;). |
| 18 | Symphonic poem | A symphonic poem is a piece of programmatic orchestral music, usually in a single movement, that evokes a painting, a landscape, the content of a poem, a story or novel, or other non-musical source. |
| 19 | Zarzuela | A zarzuela is a Spanish lyric-dramatic work that alternates between spoken and sung scenes, the latter incorporating operatic and popular song, as well as dance. |
| 20 | Étude | An étude is an instrumental musical composition, most commonly of considerable difficulty, usually designed to provide practice material for perfecting a particular technical skill. |
| 21 | Poem | A poem is a literary piece, generally short and in verse, where words are usually chosen for their sound and for the images and ideas they suggest. |
| 22 | Soundtrack | A soundtrack is the music that accompanies a film, TV program, videogame, or even book. |
| 23 | Prose | This represents literary works written in prose, that is, written in relatively ordinary language without metrical structure (e.g. novels, short stories, essays...). |
| 24 | Operetta | The operetta is a genre of light opera, in terms both of music and subject matter. Operettas are generally short and include spoken parts. |
| 25 | Audio drama | An audio drama is a dramatized, purely acoustic performance, broadcast on radio or published on an audio medium (tape, CD, etc.). |
| 26 | Beijing opera | Beijing opera is a form of traditional Chinese theatre which combines music, vocal performance, mime, dance, and acrobatics. |
| 28 | Play | A play is a form of literature usually consisting of scripted dialogue between characters, and intended for theatrical performance rather than just reading. |
| 29 | Musical | Musical theatre is a form of theatrical performance that combines songs, spoken dialogue, acting, and dance. |
| 30 | Incidental music | Incidental music is music written as background for (usually) a theatre play. |
